﻿// <auto-generated />
using System;
using FrameworkCore.Pkg.Database.Contexts.EshopMsSqlDbContext;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace FrameworkCore.Pkg.Database.Contexts.EshopMsSqlDbContext.Migrations
{
    [DbContext(typeof(EshopMsSqlDbContext))]
    partial class EshopMsSqlDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.2")
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder);

            modelBuilder.Entity("FrameworkCore.Domains.Cart.Infrastructure.Persistence.TableModels.CartItem", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasColumnName("id");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<long>("CreatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("created_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.Property<long?>("DeletedAt")
                        .HasColumnType("bigint")
                        .HasColumnName("deleted_at");

                    b.Property<int>("ProductId")
                        .HasColumnType("int")
                        .HasColumnName("product_id");

                    b.Property<int>("Qty")
                        .HasColumnType("int")
                        .HasColumnName("qty");

                    b.Property<long>("UpdatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("updated_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("user_id")
                        .HasDefaultValueSql("('')");

                    b.HasKey("Id")
                        .HasName("PK__cart_ite__3213E83F1B7D780E");

                    b.HasIndex(new[] { "ProductId" }, "product_id_idx");

                    b.HasIndex(new[] { "UserId" }, "user_id_idx");

                    b.ToTable("cart_item");
                });

            modelBuilder.Entity("FrameworkCore.Domains.Store.Infrastructure.Persistence.TableModels.Product", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasColumnName("id");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<long>("CreatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("created_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.Property<long?>("DeletedAt")
                        .HasColumnType("bigint")
                        .HasColumnName("deleted_at");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("description");

                    b.Property<string>("Name")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("name")
                        .HasDefaultValueSql("('')");

                    b.Property<int>("Stock")
                        .HasColumnType("int")
                        .HasColumnName("stock");

                    b.Property<string>("StoreId")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("store_id")
                        .HasDefaultValueSql("('')");

                    b.Property<long>("UpdatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("updated_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.HasKey("Id")
                        .HasName("PK__product__3213E83F49AEF827");

                    b.HasIndex("StoreId");

                    b.HasIndex(new[] { "Name" }, "store_name_idx");

                    b.ToTable("product");
                });

            modelBuilder.Entity("FrameworkCore.Domains.Store.Infrastructure.Persistence.TableModels.ProductImage", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasColumnName("id");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<long>("CreatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("created_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.Property<long?>("DeletedAt")
                        .HasColumnType("bigint")
                        .HasColumnName("deleted_at");

                    b.Property<int>("ProductId")
                        .HasColumnType("int")
                        .HasColumnName("product_id");

                    b.Property<long>("UpdatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("updated_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.Property<string>("Url")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(1000)
                        .IsUnicode(false)
                        .HasColumnType("varchar(1000)")
                        .HasColumnName("url")
                        .HasDefaultValueSql("('')");

                    b.HasKey("Id")
                        .HasName("PK__product___3213E83FE24852A8");

                    b.HasIndex("ProductId");

                    b.HasIndex(new[] { "Url" }, "product_image_url_idx");

                    b.ToTable("product_image");
                });

            modelBuilder.Entity("FrameworkCore.Domains.Store.Infrastructure.Persistence.TableModels.ProductPrice", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasColumnName("id");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<long>("CreatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("created_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.Property<string>("CurrencyCode")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(50)
                        .IsUnicode(false)
                        .HasColumnType("varchar(50)")
                        .HasColumnName("currency_code")
                        .HasDefaultValueSql("('RP')");

                    b.Property<long?>("DeletedAt")
                        .HasColumnType("bigint")
                        .HasColumnName("deleted_at");

                    b.Property<int>("ProductId")
                        .HasColumnType("int")
                        .HasColumnName("product_id");

                    b.Property<long>("UpdatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("updated_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.Property<double>("Value")
                        .HasColumnType("float")
                        .HasColumnName("value");

                    b.HasKey("Id")
                        .HasName("PK__product___3213E83F91F0A700");

                    b.HasIndex("ProductId");

                    b.ToTable("product_price");
                });

            modelBuilder.Entity("FrameworkCore.Domains.Store.Infrastructure.Persistence.TableModels.Store", b =>
                {
                    b.Property<string>("Id")
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("id");

                    b.Property<long>("CreatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("created_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.Property<long?>("DeletedAt")
                        .HasColumnType("bigint")
                        .HasColumnName("deleted_at");

                    b.Property<string>("HeaderPicture")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("header_picture");

                    b.Property<string>("Name")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("name")
                        .HasDefaultValueSql("('')");

                    b.Property<string>("Picture")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("picture");

                    b.Property<long>("UpdatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("updated_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.Property<string>("UserId")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("user_id")
                        .HasDefaultValueSql("('')");

                    b.HasKey("Id")
                        .HasName("PK__store__3213E83F4A3D3554");

                    b.HasIndex(new[] { "Name" }, "store_name_idx");

                    b.ToTable("store");
                });

            modelBuilder.Entity("FrameworkCore.Domains.User.Infrastructure.Persistence.TableModels.AppUser", b =>
                {
                    b.Property<string>("Id")
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("id");

                    b.Property<long>("CreatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("created_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.Property<long?>("DeletedAt")
                        .HasColumnType("bigint")
                        .HasColumnName("deleted_at");

                    b.Property<string>("Email")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("email")
                        .HasDefaultValueSql("('')");

                    b.Property<string>("FullName")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("full_name")
                        .HasDefaultValueSql("('')");

                    b.Property<string>("GoogleAccountEmail")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("google_account_email")
                        .HasDefaultValueSql("('')");

                    b.Property<string>("GoogleAccountId")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("google_account_id")
                        .HasDefaultValueSql("('')");

                    b.Property<string>("GoogleAccountName")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("google_account_name")
                        .HasDefaultValueSql("('')");

                    b.Property<string>("GoogleAccountPicture")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("google_account_picture")
                        .HasDefaultValueSql("('')");

                    b.Property<string>("Password")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("password");

                    b.Property<long>("UpdatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("updated_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.HasKey("Id")
                        .HasName("PK__app_user__3213E83F5E5FA06F");

                    b.HasIndex(new[] { "Email" }, "app_user_email_idx");

                    b.HasIndex(new[] { "FullName" }, "app_user_full_name_idx");

                    b.ToTable("app_user");
                });

            modelBuilder.Entity("FrameworkCore.Domains.Store.Infrastructure.Persistence.TableModels.Product", b =>
                {
                    b.HasOne("FrameworkCore.Domains.Store.Infrastructure.Persistence.TableModels.Store", "Store")
                        .WithMany("Products")
                        .HasForeignKey("StoreId")
                        .IsRequired()
                        .HasConstraintName("FK__product__store_i__5BAD9CC8");

                    b.Navigation("Store");
                });

            modelBuilder.Entity("FrameworkCore.Domains.Store.Infrastructure.Persistence.TableModels.ProductImage", b =>
                {
                    b.HasOne("FrameworkCore.Domains.Store.Infrastructure.Persistence.TableModels.Product", "Product")
                        .WithMany("ProductImages")
                        .HasForeignKey("ProductId")
                        .IsRequired()
                        .HasConstraintName("FK__product_i__produ__690797E6");

                    b.Navigation("Product");
                });

            modelBuilder.Entity("FrameworkCore.Domains.Store.Infrastructure.Persistence.TableModels.ProductPrice", b =>
                {
                    b.HasOne("FrameworkCore.Domains.Store.Infrastructure.Persistence.TableModels.Product", "Product")
                        .WithMany("ProductPrices")
                        .HasForeignKey("ProductId")
                        .IsRequired()
                        .HasConstraintName("FK__product_p__produ__625A9A57");

                    b.Navigation("Product");
                });

            modelBuilder.Entity("FrameworkCore.Domains.Store.Infrastructure.Persistence.TableModels.Product", b =>
                {
                    b.Navigation("ProductImages");

                    b.Navigation("ProductPrices");
                });

            modelBuilder.Entity("FrameworkCore.Domains.Store.Infrastructure.Persistence.TableModels.Store", b =>
                {
                    b.Navigation("Products");
                });
#pragma warning restore 612, 618
        }
    }
}
